package model

// 记录图片的
type TaoSkuImg struct {
	ID       int64  `orm:"column(id)" json:"id"`
	SkuID    int    `orm:"column(sku_id)"`
	VendorID int    `orm:"column(vendor_id)" json:"vendorID"`
	Img      string `orm:"size(512)" json:"img"`
	Img2     string `orm:"size(512)" json:"img2"`    // 第二张图片
	Img3     string `orm:"size(512)" json:"img3"`    //第三张图片
	Img4     string `orm:"size(512)" json:"img4"`    //第三张图片
	Img5     string `orm:"size(512)" json:"img5"`    //第三张图片
	DescImg  string `orm:"size(512)" json:"descImg"` // 商品详情图片描述
}

func (*TaoSkuImg) TableUnique() [][]string {
	return [][]string{
		[]string{"SkuID", "VendorID"},
	}
}

// CopyVendorSku 美团商品复制到抖音
type CopyVendorSku struct {
	ID            int64  `orm:"column(id)" json:"id"`
	FromSkuID     string `orm:"column(from_sku_id);size(256)" json:"from_sku_id"`         // 来源商品Id
	FromSkuName   string `orm:"column(from_sku_name);size(512)" json:"from_sku_name"`     // 来源商品名称
	FromStoreId   string `orm:"column(from_store_id);size(64)" json:"from_store_id"`      // 来源门店ID
	FromVendorId  int    `orm:"column(from_vendor_id);size(2)" json:"from_vendor_id"`     // 来源平台ID
	ToStoreId     string `orm:"column(to_store_id);size(64)" json:"to_store_id"`          // 目标门店ID
	ToVendorId    int    `orm:"column(to_vendor_id);size(2)" json:"to_vendor_id"`         // 目标平台
	MainSkuId     string `orm:"column(main_sku_id);size(128)" json:"main_sku_id"`         // 目标平台商品主ID
	ChildrenSkuId string `orm:"column(children_sku_id);size(128)" json:"children_sku_id"` // 目标平台商品ID
	ErrMsg        string `orm:"column(err_msg);size(512)" json:"err_msg"`                 // 复制错误信息
}

func (*CopyVendorSku) TableUnique() [][]string {
	return [][]string{
		[]string{"FromStoreId", "FromSkuID"},
	}
}
